﻿.width100percent {
    width: 100% !important;
}

.select2-container {
    display: inherit !important;
    width: 100% !important;
}

.select2-selection__choice__remove {
    display: inherit !important;
}

.paddingtop5 {
    padding-top: 5px;
}

.visibilityhidden {
    visibility: hidden;
}

.link-list__button--myinfo {
    line-height: 0;
}

.validation-message {
    color: red;
}

.invalid {
    outline: 1px solid red;
}

.button--tap-padding {
    padding-left: 22px;
    padding-right: 22px
}

.button--tap-icon-margin {
    left: 10px;
}

.h-gap-small {
    column-gap: 0.35rem;
}

.h-gap-mid {
    column-gap: 0.6rem;
}

#multi-factor-activate-checkbox.checkbox__input:not(:checked) + .checkbox__label:before {
    background-color: white;
    border: 1px black solid;
}

#multi-factor-activate-label {
    color: black;
}

.content-box__space-between {
    justify-content: space-between;
}

.content-box__footer-flex-column {
    flex-direction: column;
}

.content-box__footer > .form-item__char-counter {
    font-weight: normal;
}

.button--white {
    background-color: #fff;
    font-weight: 700;
    color: #267371;
}

/* Framework styles.css omits cursor:pointer on .button and incorrectly sets cursor:pointer on disabled state. */
.button {
    cursor: pointer;
}

.button[disabled],
.button--disabled {
    cursor: default;
}

.link-list__button {
    cursor: pointer;
}

.link-list__button[disabled] {
    cursor: default;
}

button.password-field {
    border: 1px solid #dee2ed;
    border-left-width: 0;
    border-radius: 0;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}

input.password-field {
    border-right-style: dashed;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    padding: 10px 16px;
}

.loading-indicator-centered {
    width: 100%;
    display: flex;
    flex-direction: column;
}

    .loading-indicator-centered > .loading-indicator {
        align-self: center;
    }

.button--star:hover {
    cursor: pointer;
}

.button--star--cyan-dark {
    color: #267371;
}

    .button--star--cyan-dark:hover {
        color: #006c5c
    }

.button--star--gold:disabled {
    color: #dcaa00;
    opacity: 1;
    font-weight: 700;
    cursor: default;
}

.notification-servicepage {
    display: flex;
    padding: 16px 4px;
    flex: 1rem;
    flex-direction: column;
}

    .notification-servicepage > .notification__content {
        padding: 0;
    }

.notification__content > p:last-child {
    margin-bottom: 0;
}

.rich-text-compact > p {
    margin-bottom: 8px;
}

.data-list__item.compact-list__item {
    margin-bottom: 1px;
    font-size: 15px;
}

h3.h-margin--bottom-tiny {
    margin-bottom: 6px;
}

h3.h-margin--top-small {
    margin-top: 12px;
}

.toolbar__btn {
    gap: 4px;
}

.toolbar__btn-icon {
    width: 24px;
    height: 24px;
}

@media screen and (max-width: 768px) {
    .input__input,
    .select__select,
    .textarea__input {
        font-size: 16px;
    }
}
